﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using WPFGestioInterna.WCFVideoClubServiceReference;

namespace WPFGestioInterna
{
    public partial class wndLogin : Window
    {
        public wndLogin()
        {
            InitializeComponent();
            txtUsuari.Focus();
        }

        private void Acceptar()
        {
            this.Cursor = Cursors.Wait;

            Service1Client client = new Service1Client();

            int IdUsuari = client.AccesUsuari(txtUsuari.Text, int.Parse(txtContrasena.Password));

            try
            {
                if (IdUsuari == 0)
                {
                    MessageBox.Show("Usuari i/o contrasenyta incorrectes", "Error", MessageBoxButton.OK, MessageBoxImage.Error);
                }
                else
                {
                    wndMain windowPrincipal = new wndMain();
                    windowPrincipal.Show();
                    this.Close();
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Error", MessageBoxButton.OK, MessageBoxImage.Error);
            }
            finally
            {
                client.Close();
                this.Cursor = Cursors.Arrow;
            }
        }

        private void btnAcceptar_Click(object sender, RoutedEventArgs e)
        {
            Acceptar();
        }

        private void btnCancelar_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}