﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WPFGestioClients
{
    /// <summary>
    /// Lógica de interacción para wndTeclatTactil.xaml
    /// </summary>
    public partial class wndTeclatTactil : Window
    {
        //propiedad
        public string ValorIntroduit { get; set; }

        public wndTeclatTactil()
        {
            InitializeComponent();            
            txtPwd.Focus();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {            
            this.Close();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            this.Width = grdTeclat.Width;
        }

        private void btnRetrocedir_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            String textContent = txtPwd.Text;

            if (textContent.Length > 0) {                
                txtPwd.Text = textContent.Substring(0, textContent.Length - 1);
            }
        }
          
        private void btn7_Click(object sender, RoutedEventArgs e)
        {
            String textContent = txtPwd.Text + "7";
            if (textContent.Length <= 10){txtPwd.Text = textContent; }                
        } 
        
        private void btn8_Click(object sender, RoutedEventArgs e)
        {
            String textContent = txtPwd.Text + "8";
            if (textContent.Length <= 10) { txtPwd.Text = textContent; }
        }

        private void btn9_Click(object sender, RoutedEventArgs e)
        {
            String textContent = txtPwd.Text + "9";
            if (textContent.Length <= 10) { txtPwd.Text = textContent; }
        }

        private void btn4_Click(object sender, RoutedEventArgs e)
        {
            String textContent = txtPwd.Text + "4";
            if (textContent.Length <= 10) { txtPwd.Text = textContent; }
        }

        private void btn5_Click(object sender, RoutedEventArgs e)
        {
            String textContent = txtPwd.Text + "5";
            if (textContent.Length <= 10) { txtPwd.Text = textContent; }
        }

        private void btn6_Click(object sender, RoutedEventArgs e)
        {
            String textContent = txtPwd.Text + "6";
            if (textContent.Length <= 10) { txtPwd.Text = textContent; }
        }

        private void btn1_Click(object sender, RoutedEventArgs e)
        {
            String textContent = txtPwd.Text + "1";
            if (textContent.Length <= 10) { txtPwd.Text = textContent; }
        }

        private void btn2_Click(object sender, RoutedEventArgs e)
        {
            String textContent = txtPwd.Text + "2";
            if (textContent.Length <= 10) { txtPwd.Text = textContent; }
        }

        private void btn3_Click(object sender, RoutedEventArgs e)
        {
            String textContent = txtPwd.Text + "3";
            if (textContent.Length <= 10) { txtPwd.Text = textContent; }
        }

        private void btn0_Click(object sender, RoutedEventArgs e)
        {
            String textContent = txtPwd.Text + "0";
            if (textContent.Length <= 10) { txtPwd.Text = textContent; }
        }

        private void btnEsborrarTot_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            txtPwd.Text = "";
        }

        private void txtPwd_TextChanged(object sender, TextChangedEventArgs e)
        {
            ValorIntroduit = txtPwd.Text;
        }

        private void btnClose_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            this.Close();
        }               
    }
}