﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using WPFGestioInterna.WCFVideoClubServiceReference;

namespace WPFGestioInterna
{
    /// <summary>
    /// Lógica de interacción para wndAddFormat.xaml
    /// </summary>
    public partial class wndAddFormat : Window
    {
        Service1Client client = new Service1Client();        

        public wndAddFormat()
        {
            InitializeComponent();
            txtFormat.Focus();
        }

        private void btnCancelar_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void btnAcceptar_Click(object sender, RoutedEventArgs e)
        {
            int idFormat = client.ExisteixFormat(txtFormat.Text);

            if (idFormat != 0)
            {
                if (MessageBox.Show("Ya existeix en la Base de Dades un format amb el mateix nom. Desitja tornar-lo a activar si no ho està?", this.Title, MessageBoxButton.YesNo, MessageBoxImage.Question) == MessageBoxResult.Yes)
                {
                    client.ActivarFormat(idFormat);
                    this.Close();
                }else{
                    txtFormat.Background = Brushes.LightCoral; 
                }
            }else{
                client.AltaFormat(txtFormat.Text);
                this.Close();
            }            
        }

        private void txtFormat_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (txtFormat.Text.Length > 0) { btnAcceptar.IsEnabled = true; } else { btnAcceptar.IsEnabled = false; }
        }
    }
}
