﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WPFGestioInterna
{
    /// <summary>
    /// Lógica de interacción para wndPrintCarnet.xaml
    /// </summary>
    public partial class wndPrintCarnet : Window
    {
        Boolean print;
        
        //Imprimeix el formulari com a carnet d'usuari
        public wndPrintCarnet(Boolean paramPrint, String paramNomVideoClub, int paramIdUsuari, String paramNomUsuari, String paramCodiUsuari)
        {
            InitializeComponent();
            print = paramPrint;
            lblNomVideoClub.Content = paramNomVideoClub;
            lblNumSoci.Content = paramIdUsuari;
            lblNomClient.Content = paramNomUsuari;
            lblCodiBarres.Content = "*" + paramCodiUsuari + "*";
            lblCodi.Content = " ";

            for (int i = 1; i <= paramCodiUsuari.Length; i++)
            {
                lblCodi.Content = lblCodi.Content + paramCodiUsuari[i - 1].ToString() + ' ';
            }
        }

        private void PrintCarnet()
        {
            try
            {
                PrintDialog printDialog = new PrintDialog();

                if (printDialog.ShowDialog() == true)
                {
                    printDialog.PrintVisual(this, "PrintCarnet" + DateTime.Now.ToString("dd/mm/yyyy"));
                }
            }
            catch
            {
                MessageBox.Show("Si us plau, comprovi que tingui instal.lada alguna impresora", this.Title, MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            if (print == true)
            {
                PrintCarnet();
                this.Close();
            }
        }
    }
}
